<?php
require($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/inc/head-lib.php');

// -----------------
// AUDITEUR
// Connecté ou pas ?
// -----------------
$sql_auditeur = dbquery("SELECT centres_enseignement.ville
	FROM auditeurs,centres_enseignement
	WHERE auditeurs.id_centre_enseignement = centres_enseignement.id_centre_enseignement
		AND auditeurs.id='".$_SESSION['user']['id']."'");
if (dbnumrows($sql_auditeur) == 0)	die("Veuillez vous connecter");

$ville_centre_enseignement	= dbresult($sql_auditeur,0,"centres_enseignement.ville");

$lieu = "NORD";
if ($ville_centre_enseignement == "Saint Louis")	$lieu = "SUD";
?>

<!doctype html>
<html>
<head>
	<title>Vidéos</title>

	<!-- <script type="text/javascript" src="https://www.google.com/jsapi"></script> -->
	<!-- jQuery -->
	<!--[if lt IE 9]>
	<script src="/lib/jquery/1.12.4/jquery.min.js"></script>
	<![endif]-->
	<!--[if gte IE 9]><!-->
	<!-- <script src="/lib/jquery/3.4.1/jquery.min.js"></script> -->
	<!--<![endif]-->

	<!-- Tablesorter: required -->
	<link rel="stylesheet" href="/lib/jquery/tablesorter/css/theme.blue.css">
	<script src="/lib/jquery/tablesorter/js/jquery.tablesorter.js"></script>

	<style type="text/css">
	#table_videos td,#table_videos th{vertical-align:middle;font-size:1.1em;}
	</style>

	<script>
	$(document).ready(function() {
		$("#table_video").tablesorter({headers: { 0: { sorter: false },1: { sorter: false },2: { sorter: false }}, widgets: ['zebra']});
	});
	</script>
</head>

<body>

<?php
$from_ue	= array("-01","-02");
$to_ue		= array("","");


$partie = "1=1";
if ($_GET['id_ue'] == "DRM105-01")	$partie = "planning_salles.partie = 1";
if ($_GET['id_ue'] == "DRM105-02")	$partie = "planning_salles.partie = 2";


$sql_planning_salles = dbquery("SELECT DISTINCT(DATE(datetime_debut)) AS date
	FROM planning_salles, planning_groupes 
	WHERE id_ue='".str_replace($from_ue,$to_ue,$_GET['id_ue'])."'
		AND planning_salles.id_groupe = planning_groupes.id_groupe
		AND planning_groupes.nom = 'Regroupement'
		AND planning_salles.annee_universitaire = '".param('annee_universitaire_videos')."'
		AND ".$partie."
		AND pas_de_video = '0'
		AND DATE(planning_salles.datetime_debut)< NOW()
	ORDER BY planning_salles.datetime_debut");


$sql_is_ICH = dbquery("SELECT * FROM diplomes,diplomes_ue
	WHERE diplomes_ue.id_ue='".str_replace($from_ue,$to_ue,$_GET['id_ue'])."'
		AND diplomes.id_diplome = diplomes_ue.id_diplome
		AND diplomes_ue.annee_universitaire = '".param('annee_universitaire_videos')."'
		AND (diplomes.institut='ICH')");


if (dbnumrows($sql_planning_salles) == 0)	echo "Aucune vidéo n'est actuellement disponible.";
else
{
	$table_videos = array();

	$ftp_server		= "193.48.44.136";
	$ftp_user_name	= "Reunion";
	$ftp_user_pass	= "g97l4+eb";

	if (dbnumrows($sql_is_ICH) > 0)	$repertoire = "/Archive/ICH/".str_replace($from_ue,$to_ue,$_GET['id_ue'])."/";
	else	$repertoire = "/Archive/".$_GET['id_ue']."/";

	// set up basic connection
	$conn_id = ftp_connect($ftp_server) or error("Serveur vidéos en maintenance. Impossible d'obtenir les vidéos en différé. Veuillez vous connecter ultérieurement. Merci de votre compréhension.");

	// login with username and password
	$login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass);


	// LISTE DES FICHIERS DANS LE REPERTOIRE
	$liste_fichier = ftp_nlist($conn_id, $repertoire);

	for ($j=0;$j<dbnumrows($sql_planning_salles);$j++)
	{
		$date = dbresult($sql_planning_salles,$j,"date");
		
		
		$nb_video = 0;
		
		if ($liste_fichier <> "")
		{
			// Exemple
			// --> http://vod.cnam.re/ramgen/NE/REU/Archive/ANG003A/ANG003ANORD-120929.rm					
			if ($_GET['id_ue'] == "ANG003A" || $_GET['id_ue'] == "ANG003B")
			{
				$file_nord = "/Archive/".$_GET['id_ue']."/".$_GET['id_ue'].$lieu."-".date('ymd',strtotime($date)).".rm";
				if (ftp_size($conn_id, $file_nord) != -1)
				{
					$table_videos[$date][] = "http://vod.cnam.re/ramgen/NE/REU".$file_nord;

					$nb_video++;
				}
			}
			else
			{
				// Exemple : dans le rep http://vod.cnam.re/ramgen/NE/REU/Archive/ICH/DRM105
				// il existe fichier 
				//  --> DRM105-120128.rm
				//  --> DRM105-120204.rm
				//  --> DRM105-120211.rm
				//  --> etc
				// Si date = 120204 (cad 04/02/2012) alors affiche toutes les videos de type *120204* (donc ici une seule DRM105-120204.rm)
				foreach($liste_fichier as $key2 => $value2)
				{
					if (strstr($value2,date('ymd',strtotime($date))))
					{
						$table_videos[$date][] = "http://vod.cnam.re/ramgen/NE/REU".$value2;
						
						$nb_video++;
					}
				}
			}
		}

		if ($nb_video == 0)
		{
			$table_videos[$date][] = "";
		}
	}

	// close the connection
	ftp_close($conn_id);
	?>

	<div style="padding:20px;margin:0px;" id="pleiad-tab-1">

		<h2>Vidéos <?php echo $_GET['id_ue'] ?></h2>

		<table id="table_videos" class="Xtablesorter-blue" style='width:100%;'>
		<thead>
		<tr>
			<th style="width:30%">Date</th>
			<th style="width:30%">Lien vidéo</th>
			<th style="width:40%">État</th>
		</tr>
		</thead>
		<tbody>

		<?php
		foreach($table_videos as $key2=>$value2)
		{
			echo "<tr><td>".date_iso_fr_complete($key2)."</td>";
			echo "<td>";
			
			$nb_video = count($value2);
			foreach($value2 as $key3 => $value3)
			{
				// Si tableau a plus d'une video ==> affiche indice
				if ($nb_video == 1)	$indice = "";
				else	$indice = $key3+1;
				
				if ($value3 <> "")	echo "<a href='".$value3."'>".trim("Télécharger ".$indice)."</a> &nbsp; ";
			}
			
			echo "</td>";
			echo "<td>";
			if ($value3 == "")
			{
				$table_videos[$date][] = "";
				echo "<span style='color:red'>La vidéo n'est pas encore mise en ligne.</span>";
			}
			else
			{
				echo "<span style='color:green'>";
				if ($nb_video > 0)	echo $nb_video." vidéo";
				if ($nb_video > 1)	echo "s";
				echo "</span>";
			}
			echo "</td></tr>";
			
		};
		?>

		</tbody>
		</table>

	</div>

<?php
}
?>

</body>
</html>